import type { DateObject } from '@/types/Tool'

export function formatDate(date: number | string): DateObject {
  const dateFmt = new Date(date)
  // 获取年月日时分秒
  const fmtYear = dateFmt.getFullYear()
  const month = dateFmt.getMonth() + 1
  const day = dateFmt.getDate()
  const hour = dateFmt.getHours()
  const minute = dateFmt.getMinutes()
  const second = dateFmt.getSeconds()
  const week = dateFmt.getDay()
  const weekArr = ['日', '一', '二', '三', '四', '五', '六']
  const weekStr = '星期' + weekArr[week]
  // 格式化
  const fmtMonth = month < 10 ? '0' + month : month
  const fmtDay = day < 10 ? '0' + day : day
  const fmtHour = hour < 10 ? '0' + hour : hour
  const fmtMinute = minute < 10 ? '0' + minute : minute
  const fmtSecond = second < 10 ? '0' + second : second
  return {
    fmtYear,
    fmtMonth,
    fmtDay,
    fmtHour,
    fmtMinute,
    fmtSecond,
    weekStr,
  }
}

export function formatDateSite(data: number | string, type: string): string {
  const D: DateObject = formatDate(data)
  switch (type) {
    case 'Y-M-D':
      return `${D.fmtYear}-${D.fmtMonth}-${D.fmtDay}`
    case 'Y-M-D H:I:S':
      return `${D.fmtYear}-${D.fmtMonth}-${D.fmtDay} ${D.fmtHour}:${D.fmtMinute}:${D.fmtSecond}`
    default:
      return ''
  }
}

export const statusList = [
  { label: '全部', value: -1 },
  { label: '待审核', value: 0 },
  { label: '审核不通过', value: 3 },
  { label: '审核通过', value: 4 },
  { label: '已删除', value: 5 },
  { label: '下线', value: 6 },
  { label: '启用', value: 10 },
  { label: '过期', value: 7 },
  { label: '暂停', value: 8 },
]

export function getStatus(status: number) {
  let statusText = ''
  statusList.forEach((item) => {
    if (item.value === status) {
      statusText = item.label
    }
  })
  return statusText
}
